題 如何在Ubuntu上安裝SQLite PDO擴展


默認的Ubuntu PHP包不包含PDO SQLite擴展。如何安裝SQLite PDO擴展?是否有一個可以輕鬆安裝的軟件包 apt-get


16
2017-08-09 14:43


起源




答案:


做就是了:

sudo apt-get install php5-sqlite

下次,您可以通過以下方式找到它:

apt-cache search php | grep sqlite

26
2017-08-09 15:01



謝謝!很高興知道如何通過控制台搜索包列表。到目前為止還沒有cloue如何搜索數據包。 - wowpatrick
@wowpatrick:不客氣。 - Michał Šrajer
不要忘記重啟Apache服務器:“sudo service apache2 restart”。您可以通過調用phpinfo()的php網頁檢查sqlite是否已安裝;或通過運行“php -m”命令行 - Jan


在ubuntu 16.04中沒有 php5-sqlite。 你需要:

sudo apt-get install php7.0-sqlite
sudo service apache2 restart

7
2017-10-19 11:52





php5-sqlite - 用於php5的SQLite模塊 php-mdb2-driver-sqlite - PHP PEAR模塊,為MDB2提供SQLite驅動程序


4
2017-11-11 05:51





為了澄清,我最近遇到了這個問題 php7.2 我不得不跑

sudo apt-get install php-sqlite3

哪個安裝了 sqlite-3 沒有名字的包裹 php-sqlite


1
2018-02-19 07:10